unit Menu;
{PUBDIST}

interface

uses
  IWAppForm, IWApplication, IWTypes, IWTMSImgCtrls, Classes, Controls,
  IWControl, IWCompLabel, IWTMSCtrls, IWTMSMenus, Menus, IWTMSPopup, Graphics,
  IWBaseControl, LeftFrame, Forms, TopFrame, ImgList, IWVCLBaseControl,
  IWBaseHTMLControl, IWExtCtrls;

type
  TformMenu = class(TIWAppForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    est1: TMenuItem;
    One1: TMenuItem;
    wo1: TMenuItem;
    Edit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    View1: TMenuItem;
    ZoomIn1: TMenuItem;
    ZoomOut1: TMenuItem;
    Color1: TMenuItem;
    Yellow1: TMenuItem;
    Green1: TMenuItem;
    Red1: TMenuItem;
    IWLabel1: TIWLabel;
    TIWPopupMenuButton1: TTIWPopupMenuButton;
    PopupMenu1: TPopupMenu;
    menu1: TMenuItem;
    menu2: TMenuItem;
    menu3: TMenuItem;
    menu4: TMenuItem;
    menu5: TMenuItem;
    IWLabel3: TIWLabel;
    FrameTopFrame1: TFrameTopFrame;
    TIWMainMenu1: TTIWMainMenu;
    ImageList1: TImageList;
    TIWStaticMenu1: TTIWStaticMenu;
    FrameLeftFrame1: TFrameLeftFrame;
    IWLabel4: TIWLabel;
    IWLabel2: TIWLabel;
    procedure Yellow1Click(Sender: TObject);
    procedure Green1Click(Sender: TObject);
    procedure Red1Click(Sender: TObject);
    procedure TIWStaticMenu1Click(Sender: TObject; ItemIdx: Integer);
  public
  end;

implementation
{$R *.dfm}

uses
  ServerController;

procedure TformMenu.Yellow1Click(Sender: TObject);
begin
  tiwstaticmenu1.FixedColor := clYellow;
end;

procedure TformMenu.Green1Click(Sender: TObject);
begin
  tiwstaticmenu1.FixedColor := clLime;
end;

procedure TformMenu.Red1Click(Sender: TObject);
begin
  tiwstaticmenu1.FixedColor := clAqua;
end;

procedure TformMenu.TIWStaticMenu1Click(Sender: TObject; ItemIdx: Integer);
begin
  case itemidx of
  1: WebApplication.GotoURL('http://www.codegear.com');
  2: WebApplication.GotoURL('http://www.atozed.com');
  3: WebApplication.GotoURL('http://www.esbconsult.com');
  4: WebApplication.GotoURL('http://www.tmssoftware.com');
  5: WebApplication.GotoURL('http://www.falafel.com');
  end;
end;

initialization

end.                                                                      
